<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output omit-xml-declaration="yes"/>

    <xsl:template match="/schleudern">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html&gt;</xsl:text>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="de" lang="de"><head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta name="viewport" content="width=device-width, initial-scale=1"/>
  <title>Die Datenschleuder :: Download</title>
  <meta name="robots" content="index,follow" />
  <link rel="schema.dc" href="http://purl.org/dc/elements/1.1/" />
  <link rel="alternate" type="application/rss+xml" title="Datenschleuder als RSS-Feed abonnieren" href="/ds-feed.xml" />
  <meta name="dc.publisher" content="Chaos Computer Club" />
  <link rel="bookmark" href="http://www.ccc.de/" title="Chaos Computer Club" type="text/html" />
  <link rel="bookmark" href="http://chaosradio.ccc.de/" title="Chaosradio" type="text/html" />
  <link rel="bookmark" href="http://events.ccc.de/" title="CCC Events Weblog" type="text/html" />
  <!--[if IE]><link rel="stylesheet" type="text/css" href="/ie/ie7-server.css"><![endif]-->
  <style type="text/css" media="screen,projection"> @import "style.css"; </style>
</head><body>
<xsl:element name="div">
<a name="top"/><img src="i/ds_headline.gif" alt="Die Datenschleuder"/><br/>
<img src="i/ds_subline.gif" alt="Das wissenschaftliche Fachblatt fÃ¼r Datenreisende - Ein Organ des Chaos Computer Club" /></xsl:element>

<p><a href="/">Die Datenschleuder</a> | Download | <a href="/contact.html">Kontakt</a> | <a href="/imprint.html">Impressum</a> | <a href="/order.html">Bestellen</a></p>
	<xsl:element name="div">
		<xsl:attribute name="id">schleudern</xsl:attribute>
		<xsl:attribute name="class">schleudern</xsl:attribute>
      <xsl:for-each select="schleuder">
		  <xsl:variable name="id">
			  <xsl:value-of select="@id"/>
		  </xsl:variable>
		  <xsl:variable name="alt"><xsl:value-of select="concat('ds',$id)"/></xsl:variable>
		  <xsl:variable name="link">
			  <xsl:value-of select="link"/>
		  </xsl:variable>
		  <xsl:variable name="type">
			<xsl:choose>
				<xsl:when test="substring($link, string-length($link) - 3) = 'html'">html</xsl:when>
				<xsl:when test="substring($link, string-length($link) - 2) = 'pdf'">pdf</xsl:when>
				<xsl:otherwise>unknown</xsl:otherwise>
			</xsl:choose>
		  </xsl:variable>
		  <xsl:element name="div">
			  <xsl:attribute name="class">schleuder</xsl:attribute>
			  <xsl:attribute name="id">ds<xsl:value-of select="$id"/></xsl:attribute>
			<xsl:element name="div">
			  <xsl:attribute name="class">schleudercover</xsl:attribute>
				  <xsl:element name="a">
					<xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
					<xsl:element name="img">
						<xsl:attribute name="src"><xsl:value-of select="image"/></xsl:attribute>
						<xsl:attribute name="alt"><xsl:value-of select="$alt"/></xsl:attribute>
					</xsl:element>
				  </xsl:element>
			  </xsl:element><xsl:value-of select="concat(@id,' ')"/>
			  <xsl:element name="a">
				<xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
				<xsl:if test="$type != 'unknown'">
					<xsl:element name="img">
						<xsl:attribute name="src"><xsl:value-of select="concat('i/',$type,'.png')"/>
							<!--xsl:choose>
								<xsl:when test="$type = 'html'">i/html.png</xsl:when>
								<xsl:when test="$type = 'pdf'">i/pdf.png</xsl:when>
								<xsl:otherwise>i/pdf.png</xsl:otherwise>
							</xsl:choose-->
						</xsl:attribute>
						<xsl:attribute name="alt"><xsl:value-of select="$type"/></xsl:attribute>
						<xsl:attribute name="class">icons</xsl:attribute>
					</xsl:element>
				</xsl:if>
			  </xsl:element>
		  </xsl:element>
      </xsl:for-each>

	<xsl:element name="div">
		<xsl:attribute name="style">clear: left</xsl:attribute>
	</xsl:element>
</xsl:element>
</body>
</html>
    </xsl:template>
</xsl:stylesheet>
